<!doctype html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://tilde.team/css/hacker.css">
        <title>tilde.team resumes</title>
    </head>

    <body>
        <div class="container">
            <h1>resumes</h1>
            <p>create a oneline ~/public_html/resume.txt with a link to your resume to appear here</p>
            <p>* indicates tilde user is looking for work. <sup>(<code>touch ~/.looking</code> if you are!)</sup></p>
            <hr>
            <?php foreach (glob("/home/*") as $user) {
                $user = basename($user);
                $resume = "/home/$user/public_html/resume.txt";
                if (!is_file($resume)) continue;
                $content = htmlspecialchars(file_get_contents($resume));

                if (is_file("/home/$user/.looking")) {
                  $lfw = "* ";
                } else {
                  $lfw = "&nbsp;&nbsp;";
                };
            ?>
                <p><?=$lfw?><a href="<?=$content?>"><strong>~<?=$user?></strong></a></p>
            <?php } ?>
            <hr>
            <p>Forked by <a href="https://tilde.club/~jack/">~jack@tilde.club</a> from <a href="https://tilde.team/~ben/taglines/">~ben's taglines</a></p>
        </div>
    </body>
</html>

