<!doctype html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://tilde.team/css/hacker.css">
        <title>tilde.team pronouns</title>
    </head>

    <body>
        <div class="container">
            <h1>pronouns</h1>
            <p>put your pronouns in ~/.pronouns to appear here</p>
            <hr>
            <table class="table table-striped">
                <thead>
                    <th>user</th>
                    <th>pronouns</th>
                </thead>
                <tbody>
                    <?php foreach (glob("/home/*/.pronouns") as $pronoun) {
                        $user = posix_getpwuid(fileowner($pronoun))["name"];
                        $pronoun = file_get_contents($pronoun);
                        if (empty(trim($pronoun))) continue;
                    ?>
                    <tr>
                        <td><a href="/~<?=$user?>/"><strong>~<?=$user?></strong></a></td>
                        <td><?=htmlspecialchars($pronoun)?></td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>

        </div>
    </body>
</html>

